]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 181766a860e235400a762c9dd27970f07b2610a8..3f49ad598c597b31aca0bc8837c919cc2ec6dd86 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
@@ -47,6 +47,8 @@ if installed git; then
         echo 'gitconfig: replacing git log --patch with -p'
         sed_i 's/log --patch/log -p/' gitconfig
     fi
+    # If coloredstderr is used to color stderr then remove the workaround for
+    # missing output to stderr.
     if printf '%s' "$LD_PRELOAD" | grep libcoloredstderr.so >/dev/null; then
         echo 'gitconfig: removing stderr fix'
         sed_i '/^\t\(fs\|fg\)  =/ s/2>&1//' gitconfig